summaryrefslogtreecommitdiffstats
path: root/tools/lunasa-find
diff options
context:
space:
mode:
Diffstat (limited to 'tools/lunasa-find')
-rwxr-xr-xtools/lunasa-find56
1 files changed, 56 insertions, 0 deletions
diff --git a/tools/lunasa-find b/tools/lunasa-find
new file mode 100755
index 0000000..7d4fc65
--- /dev/null
+++ b/tools/lunasa-find
@@ -0,0 +1,56 @@
+#!/bin/sh
+
+verbose=
+password_file=
+
+# read the options
+TEMP=`getopt -o f:v --long help -n 'lunasa-find' -- "$@"`
+eval set -- "$TEMP"
+
+# extract options and their arguments into variables.
+while true ; do
+ case "$1" in
+ -f)
+ password_file=$2
+ shift 2
+ ;;
+ --help)
+ echo "Usage: lunasa-find <prefix> -f <password file> [OPTIONS]"
+ echo
+ echo "Options:"
+ echo " -f <password file> File containing LunaSA password."
+ echo " -v Run in verbose mode."
+ echo " --help Show help message."
+ exit 0
+ ;;
+ -v)
+ verbose=1
+ shift
+ ;;
+ --)
+ shift
+ break
+ ;;
+ *)
+ echo "Error: invalid option $1" >&2
+ echo "Run lunasa-find --help for help." >&2
+ exit 1
+ ;;
+ esac
+done
+
+if [[ "$verbose" != "" ]]
+then
+ echo "password file: $password_file"
+fi
+
+if [[ "$password_file" == "" ]]
+then
+ echo "Error: missing password file" >&2
+ echo "Run lunasa-find --help for help." >&2
+ exit 1
+fi
+
+password="`cat $password_file`"
+
+/usr/safenet/lunaclient/bin/cmu list -display handle,id,class,label -password "$password"